#!/usr/bin/env node
// 批量转换脚本
const childProcess = require('child_process');
const fs = require('fs');
const path = require('path');
const Program = require('commander');
const ignoreDir = [];
Program
  .description('批量转换工具')
  .option('-d, --delete', '批量删除')
  .parse(process.argv);

if (Program.help === undefined) {
  Program.outputHelp();
  process.exit(0);
}

if (!Program.args.length) {
  Program.outputHelp();
  process.exit(0);
}
const err = [];
if (Program.args.length === 1 && !!Program.delete) {
  const inputDir = path.resolve(Program.args[0]);
  fs.readdirSync(inputDir).forEach((dir, index) => {
    if (dir.indexOf('.') !== 0) {
      fs.readdirSync(path.join(inputDir, dir)).forEach((project) => {
        if (!project.includes('.') && project.endsWith('-dist') && !project.match(/[\u4e00-\u9fa5]/g)) {
          let sourceDir = path.join(inputDir, dir, project);
          try {
            console.log(`~~~删除'${project}'~~~  (${index + 1}/${fs.readdirSync(inputDir).length})`);
            childProcess.execSync(`rm -rf ${sourceDir}`);
          } catch (e) {
            err.push(e);
          }
        }
      });
    }
  });
} else if (Program.args.length === 1) {
  const inputDir = path.resolve(Program.args[0]);
  fs.readdirSync(inputDir).forEach((dir, index) => {
    console.log(`~~~正在转换'${dir}'~~~  (${index + 1}/${fs.readdirSync(inputDir).length})`);
    if (dir.indexOf('.') !== 0) {
      fs.readdirSync(path.join(inputDir, dir)).forEach((project) => {
        if (!project.includes('.') && !project.endsWith('-dist') && !project.match(/[\u4e00-\u9fa5]/g)) {
          let sourceDir = path.join(inputDir, dir, project);
          let targetDir = path.join(inputDir, dir, project + '-dist');
          try {
            childProcess.execSync(`qa ${sourceDir} ${targetDir}`);
          } catch (e) {
            err.push(e);
          }
        }
      });
    }
  });
}

