#!/usr/bin/env node
const path = require('path');
const Program = require('commander');
const pkg = require('../package.json');
const { transform } = require('../build/index');

const options = {};

Program
  .description('微信小程序转换工具')
  .usage('[options] [input_dir] output_dir')
  .option('-v, --version', '版本号')
  .parse(process.argv);

if (Program.help === undefined) {
  Program.outputHelp();
  process.exit(0);
}

if (Program.version === undefined) {
  console.log(pkg.version);
  process.exit(0);
}

if (!Program.args.length) {
  Program.outputHelp();
  process.exit(0);
}

if (Program.args.length >= 2) {
  transform(path.resolve(Program.args[0]), path.resolve(Program.args[1]), options);
} else {
  transform(path.resolve(), path.resolve(Program.args[0]), options);
}
