"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const css_1 = require("css");
const fs_1 = require("fs");
const parse_wxml_file_1 = require("./template/parse-wxml-file");
const style_1 = require("./style");
const log_1 = require("../../utils/log");
const parse_script_1 = require("./script/parse-script");
const index_1 = require("../index");
function transformPages(pagePath, cssImportCode, options) {
    const jsPath = pagePath + '.js';
    index_1.ignoreList.push(jsPath);
    index_1.ignoreList.push(pagePath + '.json');
    index_1.ignoreList.push(pagePath + '.wxss');
    index_1.ignoreList.push(pagePath + '.wxml');
    let styleCode = '';
    let scriptCode = '';
    let templateCode = '';
    if (fs_1.existsSync(pagePath + '.wxss')) {
        const rawStyleCode = style_1.cssRewriter(fs_1.readFileSync(pagePath + '.wxss', 'utf-8'), options);
        log_1.cssLogsInfo(rawStyleCode.logs, pagePath + '.wxss');
        styleCode = css_1.stringify(rawStyleCode.ast);
    }
    if (fs_1.existsSync(jsPath)) {
        scriptCode = parse_script_1.parseScript(fs_1.readFileSync(jsPath, 'utf-8'), jsPath);
    }
    if (fs_1.existsSync(pagePath + '.wxml')) {
        templateCode = parse_wxml_file_1.parseWxmlFile(pagePath + '.wxml', options);
    }
    return `${templateCode}\n<style>\n${cssImportCode}\n${styleCode}\n</style>\n<script>\n${scriptCode}\n</script>`;
}
exports.transformPages = transformPages;
