"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@babel/core");
const mp_quick_babel_plugin_1 = require("./mp-quick-babel-plugin");
const app_js_babel_plugin_1 = require("./app-js-babel-plugin");
const log_1 = require("../../../utils/log");
function parseScript(code, fileLocation) {
    try {
        return core_1.transform(code, {
            ast: false,
            babelrc: false,
            plugins: [[mp_quick_babel_plugin_1.quickAppMiniProPlugin]],
        }).code;
    }
    catch (e) {
        console.log(e);
        if (fileLocation) {
            console.log('fileLocation', fileLocation);
            log_1.logOutput.push(`js: ${fileLocation}: 写法无法被babel处理, 请自行转换`);
        }
        return `// todo 写法无法被babel处理, 请自行转换\n${code} `;
    }
}
exports.parseScript = parseScript;
function parseAppScript(code, fileLocation) {
    try {
        return core_1.transform(code, {
            ast: false,
            babelrc: false,
            plugins: [[app_js_babel_plugin_1.parseAppScriptPlugin]],
        }).code;
    }
    catch (e) {
        console.log(e);
        if (fileLocation) {
            console.log('fileLocation', fileLocation);
            log_1.logOutput.push(`js: ${fileLocation}: 写法无法被babel处理, 请自行转换`);
        }
        return `// todo 写法无法被babel处理, 请自行转换\n${code} `;
    }
}
exports.parseAppScript = parseAppScript;
