"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rules_1 = require("./rules");
const path_1 = require("path");
function astHandler(ast, imports, logs, option) {
    const rules = [];
    if (ast && ast.type === 'stylesheet' && ast.stylesheet && ast.stylesheet.rules && ast.stylesheet.rules.length) {
        ast.stylesheet.rules.forEach((rule) => {
            if (rule.type === 'import' && rule.import) {
                rule.import = rule.import.replace('.wxss', '.css');
                imports.push(rule.import.replace(/['|"]/g, ''));
                if (rule.import.replace(/['|"]/g, '').indexOf('/') === 0) {
                    if (option && option.input) {
                        const a = path_1.join(option.input, path_1.dirname(option.pagePath));
                        const b = path_1.join(option.input, rule.import.replace(/['|"]/g, ''));
                        rule.import = `"${path_1.relative(a, b)}"`;
                    }
                }
                rules.push(rule);
            }
            if (rule.type === 'rule') {
                const newRule = rules_1.transformRule(rule, { logs });
                if (newRule) {
                    rules.push(newRule);
                }
            }
            else if (rule.type === 'keyframes') {
                rules.push(rule);
            }
        });
        ast.stylesheet.rules = rules;
    }
}
exports.astHandler = astHandler;
