"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const css_1 = require("css");
const ast_handler_1 = require("./ast-handler");
function cssRewriter(code, option) {
    const ast = css_1.parse(code, { silent: true });
    const logs = [];
    const imports = [];
    if (ast.stylesheet && ast.stylesheet.parsingErrors && ast.stylesheet.parsingErrors.length) {
        ast.stylesheet.parsingErrors.forEach((error) => {
            logs.push({
                column: error.column,
                line: error.line,
                reason: error.toString().replace('Error', 'ERROR'),
            });
        });
    }
    ast_handler_1.astHandler(ast, imports, logs, option);
    return {
        ast,
        imports,
        logs,
    };
}
exports.cssRewriter = cssRewriter;
