"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("util");
function setValue(index, value, addDeclaration) {
    const keyDate = ['animation-duration', 'animation-timing-function', 'animation-delay', 'animation-iteration-count'];
    const valueData = {
        'animation-duration': /^\d*\.?\d+(s|ms)$/,
        'animation-timing-function': /^(linear|ease|ease-in|ease-out|ease-in-out)$/,
        'animation-delay': /^\d*\.?\d+(s|ms)$/,
        'animation-iteration-count': /^(infinite|\d+)$/,
    };
    if (valueData[keyDate[index]].test(value)) {
        addDeclaration(keyDate[index], value);
    }
    else if (valueData[keyDate[1]].test(value)) {
        addDeclaration(keyDate[1], value);
    }
    else if (valueData[keyDate[3]].test(value)) {
        addDeclaration(keyDate[3], value);
    }
    else if (valueData[keyDate[0]].test(value)) {
        addDeclaration(keyDate[0], value);
    }
}
exports.animation = {
    animation: (value, declaration, addDeclaration) => {
        if (value.includes('steps')) {
            value = value.replace(/steps.+end\)/, 'linear');
        }
        const list = value.match(/\S+\(.*?\)|\S+/);
        addDeclaration('animation-name', list[0]);
        for (let i = 1, len = list.length; i < len; i++) {
            setValue(i - 1, list[i], addDeclaration);
        }
        return 'I:';
    },
    'animation-name': '',
    'animation-duration': '',
    'animation-timing-function': (value) => {
        const cont = ['linear', 'ease', 'ease-in', 'ease-out', 'ease-in-out'];
        if (cont.includes(value)) {
            return '';
        }
        return 'I:';
    },
    'animation-delay': '',
    'animation-iteration-count': (value) => {
        if (!util_1.isNumber(+value) || value !== 'infinite') {
            return 'I:';
        }
    },
    'animation-direction': 'I:',
    'animation-fill-mode': (value) => {
        const list = ['none', 'forwards'];
        if (list.includes(value)) {
            return '';
        }
        return 'I:';
    },
};
