"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.background = {
    background: (value, declaration, addDeclaration) => {
        if (~value.indexOf('linear-gradient')) {
            const DIR_REG = /linear\-gradient\((top|right|bottom|left)/;
            const ret = value.match(DIR_REG);
            if (ret) {
                declaration.value = value.replace(DIR_REG, 'linear-gradient(to ' + ret[1]);
            }
            return '';
        }
        const values = value.split(' ');
        if (~values[0].indexOf('url')) {
            addDeclaration('background-image', values[0]);
        }
        else {
            addDeclaration('background-color', value);
        }
        return 'I:';
    },
    'background-color': '',
    'background-image': '',
    'background-size': '',
    'background-repeat': '',
    'background-position': '',
    'background-attachment': 'I:',
    'background-origin': 'I:',
    'background-clip': 'I:',
};
