"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.flexbox = {
    flex: (value, declaration, addDeclaration) => {
        const props = ['grow', 'shrink', 'basis'];
        if (value.match(/\s+/g)) {
            const values = value.split(' ');
            values.forEach((item, index) => {
                if (props[index] !== 'basis') {
                    addDeclaration('flex-' + props[index], item);
                }
            });
            return 'I:';
        }
        else if (value === 'auto') {
            return 'I:';
        }
        else {
            return '';
        }
    },
    'flex-grow': '',
    'flex-shrink': '',
    'flex-basis': 'I:',
    'flex-direction': (value) => {
        if (~value.indexOf('row-reverse')) {
            return 'I:';
        }
        return '';
    },
    'flex-wrap': '',
    'justify-content': (value, declaration) => {
        const content = ['flex-start', 'flex-end', 'center', 'space-between'];
        if (value === 'space-around') {
            declaration.value = 'space-between';
            return '';
        }
        if (content.includes(value)) {
            return '';
        }
        return 'I:';
    },
    'align-items': '',
    'align-content': '',
};
