"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tools_1 = require("../tools");
function setValue(value, declaration) {
    const valueList = ['inherit', 'auto'];
    if (valueList.includes(value)) {
        return 'I:';
    }
    if (value.includes('%')) {
        value = (750 / 100) * parseInt(value, 10) + 'px';
        declaration.value = value;
    }
}
exports.position = {
    bottom: (value, declaration) => {
        return setValue(value, declaration);
    },
    display: (value, declaration, addDeclaration, rule) => {
        if (!['flex', 'none'].includes(value)) {
            return 'E:';
        }
        if (value === 'flex') {
            if (!tools_1.getDeclarationValue('flex-direction', rule)) {
                addDeclaration('flex-direction', 'row');
            }
        }
    },
    left: (value, declaration) => {
        return setValue(value, declaration);
    },
    position: (value, declaration) => {
        if (value === 'static') {
            declaration.value = 'none';
        }
        else if (value === 'absolute') {
            return 'E:';
        }
        else if (value !== 'fixed') {
            return 'I:';
        }
    },
    right: (value, declaration) => {
        return setValue(value, declaration);
    },
    top: (value, declaration) => {
        return setValue(value, declaration);
    },
    overflow: 'I:',
    'vertical-align': 'I:',
    'z-index': 'W:',
};
