"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tools_1 = require("../../../../../utils/tools");
const convert_app_json_1 = require("../../../manifest/convert-app-json");
function getNewUrl(url, options) {
    if (!url) {
        console.log('wrong url');
        return '';
    }
    let newUrl = url;
    const strings = url.split('/');
    if (url.startsWith('/')) {
        return joinUrl(strings);
    }
    else {
        const prefix = convert_app_json_1.getPageName(options.pagePath);
        newUrl = `'${prefix}/' + ${joinUrl(strings)}`;
    }
    return newUrl;
}
exports.getNewUrl = getNewUrl;
function joinUrl(urls) {
    let output = '';
    urls.map(i => {
        if (tools_1.isExpression(i)) {
            output = `${output} + ${tools_1.splitExpression(i)} + '/'`;
        }
        else {
            output = `${output} + '${i}/'`;
        }
    });
    output = output.substring(2, output.length);
    if (output.endsWith(`+ '/'`)) {
        output = output.substring(0, output.length - 5);
    }
    return output;
}
function default_1(node, options) {
    node.name = 'div';
    const url = getNewUrl(node.attributes.url, options);
    node.attributes.onclick = `this.$app.pushPage(${url})`;
    delete node.attributes.url;
}
exports.default = default_1;
