"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const fs_1 = require("fs");
const tools_1 = require("../../../../utils/tools");
const fs_extra_1 = require("fs-extra");
const handle_imports_1 = require("../imports/handle-imports");
const pages_1 = require("../../pages");
function parseCompsFiles(comps, wxmlPath, options) {
    if (!wxmlPath) {
        console.log('no wxmlPath, ignore generate import file');
        return '';
    }
    let deps = '';
    comps.forEach(i => {
        const srcPath = i.path;
        let basePath = path.dirname(wxmlPath);
        if (srcPath.startsWith('/')) {
            basePath = options.input;
        }
        const importFilePath = path.join(basePath, srcPath);
        const componentName = i.name;
        const rP = tools_1.relativePath(options.input, importFilePath);
        const outputNewName = path.join(path.dirname(rP), `${componentName}.ux`);
        const outputFile = path.join(options.output, outputNewName);
        const src = path.dirname(tools_1.relativePath(path.dirname(wxmlPath), importFilePath)) + '/' + componentName + '.ux';
        const baseOutput = path.dirname(tools_1.relativePath(outputFile, options.output));
        const cssPaths = [`@import '${baseOutput}/app.css';`];
        cssPaths.push(`@import '${baseOutput}/polyfill/stylesheet/polyfill.css';`);
        deps = `\n<import name="${handle_imports_1.patchCompName(componentName)}" src="${src}"></import>`;
        fs_extra_1.ensureDirSync(path.dirname(outputFile));
        if (!fs_1.existsSync(outputFile)) {
            const compOptions = Object.assign(options, { pagePath: srcPath }, { pageJson: null });
            const content = pages_1.transformPages(importFilePath, cssPaths.join('\n'), compOptions);
            fs_1.writeFileSync(outputFile, content);
        }
    });
    return deps;
}
exports.parseCompsFiles = parseCompsFiles;
