"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tools_1 = require("../../../../utils/tools");
const directives = {
    'wx:for': handleList,
    'wx:for-items': handleList,
    'wx:for-index': handleList,
    'wx:for-item': handleList,
    'wx:key-item': handleList,
    'wx:if': 'if',
    'wx:elif': 'elif',
    'wx:else': 'else',
};
function handleDirective(node, name) {
    const directive = directives[name];
    const attrs = node.attributes;
    if (!directive) {
    }
    else {
        if (typeof directive === 'string') {
            attrs[directive] = attrs[name];
            delete attrs[name];
        }
        else {
            directive(node);
        }
    }
}
exports.handleDirective = handleDirective;
function handleList(node) {
    if (node.processed) {
        return;
    }
    node.processed = true;
    const attrs = node.attributes;
    let wxFor = '';
    let wxForIndex = 'index';
    let wxForItem = 'item';
    let wxKey = '';
    Object.keys(attrs).forEach(name => {
        switch (name) {
            case 'wx:for':
            case 'wx:for-items':
                wxFor = attrs[name];
                delete attrs[name];
                break;
            case 'wx:for-index':
                wxForIndex = attrs[name];
                delete attrs[name];
                break;
            case 'wx:for-item':
                wxForItem = attrs[name];
                delete attrs[name];
                break;
            case 'wx:key':
                wxKey = attrs[name];
                delete attrs[name];
                break;
        }
    });
    if (tools_1.isExpression(wxFor)) {
        wxFor = wxFor.substr(2, wxFor.length - 4);
    }
    attrs['for'] = `{{(${wxForIndex}, ${wxForItem}) in ${wxFor} }}`;
    if (wxKey && !wxKey.includes('*')) {
        attrs['tid'] = wxKey;
    }
}
exports.handleList = handleList;
