"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const wechatBaseEvents = {
    touchstart: '',
    touchmove: '',
    touchcancel: '',
    touchend: '',
    tap: 'click',
    longpress: 'longpress',
    longtap: 'longpress',
    transitionend: '',
    animationstart: '',
    animationiteration: '',
    animationend: '',
    touchforcechange: '',
};
const eventPrefixes = ['bind', 'catch', 'capture-bind', 'capture-catch'];
const events = {};
exports.events = events;
Object.keys(wechatBaseEvents).forEach(name => {
    eventPrefixes.map(eP => {
        events[`${eP}${name}`] = wechatBaseEvents[name];
        events[`${eP}:${name}`] = wechatBaseEvents[name];
    });
});
function handleEvent(node, event) {
    const eventName = events[event];
    if (!eventName) {
    }
    else {
        node.attributes[`on${eventName}`] = node.attributes[event];
    }
    delete node.attributes[event];
}
exports.handleEvent = handleEvent;
