"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const convert_app_json_1 = require("../../manifest/convert-app-json");
function html(input) {
    return input[0];
}
exports.html = html;
function generateTabbar(options) {
    const tabBar = options.tabBar;
    const list = tabBar.list;
    const tabs = list
        .map(tab => {
        const chosen = tab.pagePath === options.pagePath;
        let iconPath = chosen ? tab.selectedIconPath : tab.iconPath;
        iconPath = `/${iconPath}`;
        const textColor = chosen ? tabBar.selectedColor : tabBar.color;
        return `
    <div class="qa-tab" onclick="this.$app.switchTab('${convert_app_json_1.getPageName(tab.pagePath)}')">
        <image src="${iconPath}" />
        <text style="color: ${textColor}">${tab.text}</text>
    </div>
    `;
    })
        .join(' ');
    return `
<div class="qa-tabbar" style="border-top-color: ${tabBar.borderStyle}">
    ${tabs}
</div>
  `;
}
exports.generateTabbar = generateTabbar;
