"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function addClass(node, className) {
    if (!!node.attributes.class) {
        node.attributes.class += ` ${className}`;
    }
    else {
        node.attributes.class = className;
    }
}
exports.addClass = addClass;
function getAttr(node, key) {
    if (node.attributes.hasOwnProperty(key)) {
        return node.attributes[key];
    }
    return null;
}
exports.getAttr = getAttr;
function setAttr(node, key, value) {
    node.attributes[key] = value;
}
exports.setAttr = setAttr;
function removeAttr(node, key) {
    if (node.attributes.hasOwnProperty(key)) {
        delete node.attributes[key];
    }
}
exports.removeAttr = removeAttr;
function replaceAttr(node, origin, current) {
    if (node.attributes.hasOwnProperty(origin)) {
        node.attributes[current] = node.attributes[origin];
        if (origin !== current) {
            delete node.attributes[origin];
        }
    }
}
exports.replaceAttr = replaceAttr;
function handleInlineStyle(rule, value) {
    return rule.split(':').pop() + ':' + value + ';';
}
exports.handleInlineStyle = handleInlineStyle;
function handleAttributes(node, componentAttrMap, output) {
    for (const key in node.attributes) {
        if (componentAttrMap[key]) {
            if (componentAttrMap[key].indexOf('I:') === 0 || componentAttrMap[key].indexOf('E:') === 0) {
                delete node.attributes[key];
            }
            else if (componentAttrMap[key].indexOf('STYLE:') === 0) {
                if (node.attributes.style) {
                    node.attributes.style += handleInlineStyle(componentAttrMap[key], node.attributes[key]);
                }
                else {
                    node.attributes.style = handleInlineStyle(componentAttrMap[key], node.attributes[key]);
                }
                delete node.attributes[key];
            }
            else {
                replaceAttr(node, key, componentAttrMap[key]);
            }
        }
    }
}
exports.handleAttributes = handleAttributes;
