"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const core_1 = require("./core");
const fs_extra_1 = require("fs-extra");
const log_1 = require("./utils/log");
const fs_1 = require("fs");
function transform(input, out, options) {
    const templateDir = path_1.resolve(__dirname, '../', `static/quickapp-sample`);
    if (core_1.validate(path_1.resolve(input))) {
        core_1.transformer(input, out + '/src', options);
    }
    fs_extra_1.copySync(templateDir, out);
    if (log_1.logOutput.length > 0) {
        fs_1.writeFileSync(path_1.join(out, 'logs.txt'), log_1.logOutput.join('\n'));
    }
    process.chdir(out);
    fs_1.rename('_babelrc', '.babelrc', err => {
        if (err) {
            throw err;
        }
    });
    fs_1.rename('_eslintrc.json', '.eslintrc.json', err => {
        if (err) {
            throw err;
        }
    });
}
exports.transform = transform;
