"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = require("chalk");
const log = console.log;
exports.logOutput = [];
function copy(msg, loc, path) {
    log(chalk_1.default.green('COPY: ' + msg + (loc ? '\t\n@' + loc.line + ':' + loc.column + ' in ' + path : '')));
}
exports.copy = copy;
function info(msg, loc, path) {
    log(chalk_1.default.green('INFO: ' + msg + (loc ? '\t\n@' + loc.line + ':' + loc.column + ' in ' + path : '')));
}
exports.info = info;
function warn(msg, loc, path) {
    log(chalk_1.default.yellow.bold('WARN: ' + msg + (loc ? '\t\n@' + loc.line + ':' + loc.column + ' in ' + path : '')));
}
exports.warn = warn;
function ignore(msg, loc, path) {
    log(chalk_1.default.yellow.bold('IGNORE: ' + msg + (loc ? '\t\n@' + loc.line + ':' + loc.column + ' in ' + path : '')));
}
exports.ignore = ignore;
function error(msg, loc, path) {
    log(chalk_1.default.red.bold('ERROR: ' + msg + (loc ? '\t\n@' + loc.line + ':' + loc.column + ' in ' + path : '')));
}
exports.error = error;
exports.globalStatus = {
    flex: false,
};
function cssLogsInfo(logs, filePath) {
    logs.forEach((log) => {
        exports.logOutput.push(`css: ${filePath} ${log.reason}`);
        switch (log.reason.charAt(0)) {
            case 'I':
                ignore(log.reason.replace('I:', ''), log, filePath);
                break;
            case 'W':
                warn(log.reason.replace('W:', ''), log, filePath);
                break;
            case 'E':
                if (~log.reason.indexOf('`display:') || ~log.reason.indexOf('`position:') || ~log.reason.indexOf('`float:')) {
                    exports.globalStatus.flex = true;
                }
                else {
                    error(log.reason.replace('E:', ''), log, filePath);
                }
                break;
            default:
                console.log(log.reason + '\t\n@' + log.line + ':' + log.column + ' in ' + filePath);
        }
    });
}
exports.cssLogsInfo = cssLogsInfo;
