"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
exports.isWin = /^win/.test(process.platform);
function isExpression(v) {
    return /\{\{(.+?)\}\}/g.test(v);
}
exports.isExpression = isExpression;
function splitExpression(e) {
    return e.substr(2, e.length - 4);
}
exports.splitExpression = splitExpression;
function normalizePath(path) {
    return (path && exports.isWin && path.replace(/\\/g, '/')) || path;
}
exports.normalizePath = normalizePath;
function relativePath(from, to) {
    const ret = path.relative(from, to);
    return ret.indexOf('.') === 0 ? ret : './' + ret;
}
exports.relativePath = relativePath;
function resolvePath(dirname, filePath, base) {
    if (filePath.indexOf('/') === 0) {
        return path.join(base, filePath);
    }
    return path.join(dirname, filePath);
}
exports.resolvePath = resolvePath;
function comment(msg, url) {
    return 'Tips: ' + msg + '.' + (url ? '[兼容写法参考](' + url + ')' : '');
}
exports.comment = comment;
function getMatches(str, regex) {
    const matches = [];
    let match;
    if (regex.global) {
        regex.lastIndex = 0;
    }
    else {
        regex = new RegExp(regex.source, 'g' + (regex.ignoreCase ? 'i' : '') + (regex.multiline ? 'm' : '') + (regex.sticky ? 'y' : ''));
    }
    while ((match = regex.exec(str))) {
        matches.push(match);
        if (regex.lastIndex === match.index) {
            regex.lastIndex++;
        }
    }
    return matches;
}
exports.getMatches = getMatches;
function pop(arr) {
    arr.pop();
    return arr;
}
exports.pop = pop;
