# Qa-transformer项目说明
[![tested with jest](https://img.shields.io/badge/tested_with-jest-99424f.svg)](https://github.com/facebook/jest)
[![code style: prettier](https://img.shields.io/badge/code_style-prettier-ff69b4.svg?style=flat-square)](https://github.com/prettier/prettier)

## 常用命令
```
npm install // 安装项目依赖
npm start  // 开启实时编译项目
npm run doc:server // 编译并开启本地项目文档服务
npm run test // 运行项目测试用例
```

## 内部工作原理
主要使用了babel-core, css, css-what, sax等开源库，
原理是分析小程序原先的语法，生成ast， 转换成快应用的语法，
涉及的技术主要是编译原理和树的遍历。

整个流程需要下列基础知识点
* 编译原理
* Tree相关算法

### wxml
使用`sax-parser`进行解析，然后做各种变换，比如对`view`这样的tag转换成`div`，`wx:if`和 `wx:for` 这样的directive
转换成快应用对应的`if`和`for, 这中间也要对不兼容的语法进行变换
简单用例请参考
`qa-transformer/src/core/transformers/template/__tests__/parser-simple.test.ts`
这个文件来掌握整体编译流程。

### wcss
对于css处理模块,读取小程序样式字符串源码->通过词法分析和语法分析转换成对应得AST->遍历AST节点，
针对不同的selector和declaration写出对应的转换方法->把处理好的AST还原成CSS字符串，输出到对应的目录或文件

### js
使用`babel-core`对js就行分析，通过plugin的对生成的ast进行变换，对相应的api，lifecycle方法进行转换，不支持的进行
注释等处理
* https://babeljs.io/docs/en/next/babel-types.html
* https://github.com/jamiebuilds/babel-handbook/blob/master/translations/en/plugin-handbook.md
