/**
 * https://doc.quickapp.cn/features/system/storage.html
 * @param params
 */
export function setStorage(params) {
  params['value'] = params.data;
  require('@system.storage').set(params);
}

/**
 * https://doc.quickapp.cn/features/system/storage.html
 */
export async function setStorageSync(key, data) {
  return new Promise((resolve, reject) => {
    require('@system.storage').set({
      key: key,
      value: data,
      success: (data) => {
        resolve(data);
      },
      fail: (e) => {
        reject(e);
      },
    });
  });
}

/**
 * https://doc.quickapp.cn/features/system/storage.html
 */
export function getStorage(params) {
  require('@system.storage').set(params);
}

/**
 * https://doc.quickapp.cn/features/system/storage.html
 */
export async function getStorageSync(key) {
  return new Promise((resolve, reject) => {
    require('@system.storage').get({
      key: key,
      success: (data) => {
        resolve(data);
      },
      fail: (e) => {
        reject(e);
      },
    });
  });
}

/**
 * https://doc.quickapp.cn/features/system/storage.html
 */
export function getStorageInfo(params) {
  // unsupported
}

/**
 * https://doc.quickapp.cn/features/system/storage.html
 */
export function getStorageInfoSync(params) {
  // unsupported
}

/**
 * https://doc.quickapp.cn/features/system/storage.html
 */
export function removeStorage(params) {
  require('@system.storage').delete(params);
}

/**
 * https://doc.quickapp.cn/features/system/storage.html
 */
export async function removeStorageSync(key) {
  return new Promise((resolve, reject) => {
    require('@system.storage').delete({
      key: key,
      success: (data) => {
        resolve(data);
      },
      fail: (e) => {
        reject(e);
      },
    });
  });
}

/**
 * https://doc.quickapp.cn/features/system/storage.html
 */
export function clearStorage() {
  require('@system.storage').clear();
}

/**
 * https://doc.quickapp.cn/features/system/storage.html
 */
export async function clearStorageSync() {
  return new Promise((resolve, reject) => {
    require('@system.storage').clear({
      success: (data) => {
        resolve(data);
      },
      fail: (e) => {
        reject(e);
      },
    });
  });
}
