export function playBackgroundAudio(params) {
  const audio = require('@system.audio');
  audio.notificationVisible = true;
  audio.src = params.dataUrl;
  audio.play();
  params.complete && params.complete();
}

export function stopBackgroundAudio(params) {
  require('@system.audio').stop();
  params.success && params.success();
}

export function pauseBackgroundAudio(params) {
  require('@system.audio').pause();
  params.success && params.success();
}

export function seekBackgroundAudio(params) {
  require('@system.audio').currentTime = params.position;
}

export function getBackgroundAudioPlayerState(params) {
  return new Promise(resolve => {
    const audio = require('@system.audio');
    audio.ontimeupdate = () => {
      console.log('ontimeupdate', audio.currentTime);
      resolve({ currentPosition: audio.currentTime });
    };
  }).then(i => [
    params.success(i),
  ]);
}
